> For the complete documentation index, see [llms.txt](https://docs.qatts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qatts.com/assertion-operations.md).

# Assertion Operations

1. Asserting the data which was extracted from the UI against the Test data.
2. Asserting the data which was extracted from the API against the Test data.
3. Asserting the data which was extracted from the API against the Database.

There were multiple ways we can do the assertion as follows.

assertField("product element name","UI element type");

assertElement("UI element name", "text/attr name","DATA");

stateCheck("UI element name", "text/attr name","DATA");

assertGroup("Group name", "UI element type");

Assertion Operations

Prop Name : **prop.assert.\[UI Element Type].operation**

IF the assertion was performed at API / DB level -> UI element type was optional.

| Data Type     | Operator                                        |
| ------------- | ----------------------------------------------- |
| String        | equals                                          |
| String        | notequals                                       |
| String        | equalswithcase                                  |
| String        | startswith                                      |
| String        | endswith                                        |
| String        | contains                                        |
| String        | regex:                                          |
| String        | stringlength>int                                |
| String        | stringlength>=int                               |
| String        | stringlength\<int                               |
| String        | stringlength\<i=nt                              |
| String        | stringlength>int                                |
| date          | before: int                                     |
| date          | after : int                                     |
| Integer       | >                                               |
| Integer       | =                                               |
| Integer       | >=                                              |
| Integer       | <                                               |
| Integer       | <=                                              |
| Integer       | <>                                              |
| Decimal       | >                                               |
| Decimal       | =                                               |
| Decimal       | >=                                              |
| Decimal       | <                                               |
| Decimal       | <=                                              |
| Decimal       | <>                                              |
| QStringArray  | sorted                                          |
| QStringArray  | startsWith                                      |
| QIntegerArray | All operators of Integer data type can be given |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/assertion-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
